Skip to main content
GET
/
v1
/
events
/
{id}
Retrieve an Event
curl --request GET \
  --url https://api.leanrails.com/v1/events/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "evt_xxx",
  "object": "event",
  "type": "payment_intent.created",
  "data": {
    "object": {}
  },
  "created": 1234567890,
  "livemode": false,
  "api_version": "2026-03-09",
  "merchant_id": "mer_xxx",
  "pending_webhooks": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The Event ID.

Response

The Event.

id
string
required
Example:

"evt_xxx"

object
enum<string>
required
Available options:
event
type
enum<string>
required
Available options:
balance.available,
charge.dispute.closed,
charge.dispute.created,
charge.dispute.updated,
charge.failed,
charge.refunded,
charge.succeeded,
checkout.session.completed,
checkout.session.expired,
checkout_link.created,
checkout_link.updated,
collection.created,
collection.deleted,
collection.updated,
conversion_tracking.config.error,
customer.created,
customer.deleted,
customer.subscription.created,
customer.subscription.deleted,
customer.subscription.past_due,
customer.subscription.resumed,
customer.subscription.trial_will_end,
customer.subscription.updated,
customer.updated,
dispute.closed,
dispute.created,
dispute.evidence.required,
dispute.updated,
fulfillment.canceled,
fulfillment.created,
fulfillment.delivered,
fulfillment.shipped,
fulfillment.updated,
inventory_item.updated,
inventory_level.updated,
invoice.created,
invoice.finalized,
invoice.marked_uncollectible,
invoice.paid,
invoice.payment_failed,
invoice.upcoming,
invoice.voided,
merchant.verification.approved,
merchant.verification.rejected,
merchant.verification.started,
order.canceled,
order.created,
order.fulfilled,
order.paid,
order.payment_failed,
order.refunded,
order.returned,
order.updated,
payment_intent.canceled,
payment_intent.created,
payment_intent.payment_failed,
payment_intent.requires_action,
payment_intent.succeeded,
payout.canceled,
payout.created,
payout.failed,
payout.paid,
payout.updated,
price.created,
price.deleted,
price.updated,
product.created,
product.deleted,
product.updated,
promotion.created,
promotion.deleted,
promotion.updated,
refund.created,
refund.failed,
refund.updated,
settlement.batch.completed,
setup_intent.created,
setup_intent.setup_failed,
setup_intent.succeeded,
subscription.created,
subscription.deleted,
subscription.past_due,
subscription.resumed,
subscription.trial_will_end,
subscription.updated,
transfer.created,
transfer.reversed,
transfer.updated
Example:

"payment_intent.created"

data
object
required
created
integer
required
Example:

1234567890

livemode
boolean
required
Example:

false

api_version
string
Example:

"2026-03-09"

merchant_id
string
Example:

"mer_xxx"

pending_webhooks
integer
Example:

0